package com.dayou.service;

import com.dayou.enums.MainBusinessEnum;
import com.dayou.vo.ProdValidateVO;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2024/4/1
 * created with IntelliJ IDEA.
 */
public interface IBusinessProductionService{

    Boolean addPublicStamp(String filePath);

    ProdValidateVO validateProd(String businessType, Long businessId);

    String doCreateValidateCode(MainBusinessEnum businessEnum,Long businessId,String reportNo);

    String doCreateNormalCode(String production,String reportNo);

    Boolean inOutWareHouse(String productionNo);
}
